GNU bug report logs - #18448
Problems installing (M)ELPA packages

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Sebastien Vauban <sva-news@HIDDEN>; merged with #10125, #18443, #21267; dated Thu, 11 Sep 2014 07:50:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 10125 18443 18448 21267. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 10125 18443 18448. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 18448 <at> debbugs.gnu.org:


Received: (at 18448) by debbugs.gnu.org; 11 Sep 2014 15:53:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 11 11:53:47 2014
Received: from localhost ([127.0.0.1]:38278 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XS6gs-00017l-Fa
	for submit <at> debbugs.gnu.org; Thu, 11 Sep 2014 11:53:46 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:39092)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1XS6gp-00017a-GS
 for 18448 <at> debbugs.gnu.org; Thu, 11 Sep 2014 11:53:44 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1XS6gm-00031c-Qd; Thu, 11 Sep 2014 11:53:41 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Sebastien Vauban <sva-news@HIDDEN>
Subject: Re: bug#18448: Problems installing (M)ELPA packages
References: <86iokubntn.fsf@HIDDEN>
X-Spook: security Operation Iraqi Freedom ANZUS SAFE Etacs S Key
X-Ran: +"2X1v9.Vs/@#d9J&Y%WY.Q%@2T5;o/weKd}Q2G,07o;E_Ef+t5/~hW/2Kp.piGAbA+^oQ
X-Hue: blue
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 11 Sep 2014 11:53:39 -0400
In-Reply-To: <86iokubntn.fsf@HIDDEN> (Sebastien Vauban's message of
 "Thu, 11 Sep 2014 09:47:48 +0200")
Message-ID: <esppf217cs.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.8 (------)
X-Debbugs-Envelope-To: 18448
Cc: 18448 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.8 (------)

Sebastien Vauban wrote:

> (This discussion was started on gnu.emacs.help)

It would be nice if your report could have summarized the issue.

Anyway, this is a duplicate of http://debbugs.gnu.org/18443,
which is a duplicate of http://debbugs.gnu.org/10125.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18448; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Sep 2014 07:49:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 11 03:49:22 2014
Received: from localhost ([127.0.0.1]:37241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XRz85-0003th-8Z
	for submit <at> debbugs.gnu.org; Thu, 11 Sep 2014 03:49:21 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51671)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1XRz83-0003tZ-FW
 for submit <at> debbugs.gnu.org; Thu, 11 Sep 2014 03:49:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sva-news@HIDDEN>) id 1XRz7x-0003Ud-Ow
 for submit <at> debbugs.gnu.org; Thu, 11 Sep 2014 03:49:19 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34525)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sva-news@HIDDEN>) id 1XRz7x-0003UW-Lt
 for submit <at> debbugs.gnu.org; Thu, 11 Sep 2014 03:49:13 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53354)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sva-news@HIDDEN>) id 1XRz7p-0008Jb-Vh
 for bug-gnu-emacs@HIDDEN; Thu, 11 Sep 2014 03:49:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sva-news@HIDDEN>) id 1XRz7l-0003S6-1u
 for bug-gnu-emacs@HIDDEN; Thu, 11 Sep 2014 03:49:05 -0400
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:20041
 helo=mail.missioncriticalit.com)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sva-news@HIDDEN>) id 1XRz7k-0003Ru-Rp
 for bug-gnu-emacs@HIDDEN; Thu, 11 Sep 2014 03:49:00 -0400
Received: from MUNDANEUM.i-did-not-set--mail-host-address--so-tickle-me
 (unknown [10.10.10.51])
 by mail.missioncriticalit.com (Postfix) with ESMTPSA id E2CCD500926
 for <bug-gnu-emacs@HIDDEN>; Thu, 11 Sep 2014 09:48:58 +0200 (CEST)
From: Sebastien Vauban <sva-news@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Problems installing (M)ELPA packages
Organization: Sebastien Vauban
X-Url: Under construction...
X-Archive: encrypt
Date: Thu, 11 Sep 2014 09:47:48 +0200
Message-ID: <86iokubntn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.3 (----)

Hello,

(This discussion was started on gnu.emacs.help)

Michael Heerdegen wrote:
> Stefan Monnier wrote:
>> Sebastien Vauban wrote:
>>>
>>> While using `package.el' fulfills a long-awaited dream for easily adding
>>> and upgrading Emacs libraries, I now feel upgrading packages is much
>>> more complex than what I anticipated.
>>>
>>> At least two of the packages I use daily (Org and Helm) require to be
>>> installed from inside a fresh Emacs session (emacs -Q), where nothing
>>> has been loaded.
>>>
>>> For example, the FAQ entry from Helm on this:
>>>
>>>   =E2=95=AD=E2=94=80=E2=94=80=E2=94=80=E2=94=80 https://github.com/emac=
s-helm/helm/wiki#ihaveupdatedfrommelpaandihaveerrors
>>>   =E2=94=82
>>>   =E2=94=82 I have updated from melpa and I have errors
>>>   =E2=94=82
>>>   =E2=94=82   - Uninstall helm from list-packages
>>>   =E2=94=82   - Close emacs
>>>   =E2=94=82   - Start emacs -Q
>>>   =E2=94=82   - Reinstall helm from list-packages
>>>   =E2=94=82   - Restart emacs
>>>   =E2=95=B0=E2=94=80=E2=94=80=E2=94=80=E2=94=80
>>>
>>> I guess a lot of people are not aware of this, and don't take enough
>>> look at the Compile log to see that it can lead to (big?) problems.
>>>
>>> Is that something that could/will be fixed in the future?
>>>
>>> Is the Helm workaround (with Emacs-async, documented in the above link)
>>> usable for avoiding this with all ELPA packages?
>>
>> There have been some discussions about it in emacs-devel, but nothing
>> concrete came out of it yet (except maybe emacs-async, tho IIUC it
>> existed before).
>>
>> I suggest you re-start a discussion about this in emacs-devel or via
>> M-x report-emacs-bug.
>>
>> For this discussion, it would be helpful to have a list of known
>> breakages with some analysis of why they break.  I know of one source of
>> problems:
>> When compiling the new package, (require 'foo) will do nothing if the
>> old package also had a `foo' which is already loaded, in which case we
>> end up using the old package's `foo' to compile the new package, which
>> of course leads to various problems, e.g. if we use some macros from `fo=
o'.
>
> For helm, that is exactly the problem (and the only one I know of).
> Currently, the maintainers are flooded with breakage reports due to
> macro changes.
>
> AFAICT, it is planned to enhance async so that it can perform
> compilation of packages (and to use an advice to make package.el use
> it.).  For helm, it is planned to let the helm package depend on
> emacs-async, which should solve the problem - see
>
> https://github.com/emacs-helm/helm/issues/617.

I don't know/understand the cause for Org, but installing Org mode in
a session where Org is already loaded will lead to
`org-with-silent-modification' "invalid function" errors (there are
a lot of such posts about it in the mailing list).

Best regards,
Seb




Acknowledgement sent to Sebastien Vauban <sva-news@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18448; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 15 Aug 2015 17:30:05 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.